NX Open C++ Reference Guide
|
<br> To create a new instance of this class, use @link Routing::RouteManager::CreateRouteSweptTwistBuilder Routing::RouteManager::CreateRouteSweptTwistBuilder @endlink <br>
Created in NX6.0.0.
More...
Public Member Functions | |
void | AskExistingTwistData (std::vector< double > &locations, std::vector< double > &angles) |
The twist data i.e locations and angles Created in NX6.0.0. | |
void | CreateSpine () |
Creates a new spine Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimWithValueBuilder * | CreateSpinePoint () |
Creates a new spine point. | |
void | SetTwistPoint (NXOpen::Point *twistPoint) |
Sets the twist point Created in NX6.0.0. | |
NXOpen::Curve * | Spine () |
Returns the spine Created in NX6.0.0. | |
NXOpen::SelectNXObject * | Stock () |
Returns the stock Created in NX6.0.0. | |
NXOpen::Point * | TwistPoint () |
Returns the twist point Created in NX6.0.0. | |
NXOpen::TaggedObjectList * | TwistPointList () |
Returns the twist point list Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
<br> To create a new instance of this class, use @link Routing::RouteManager::CreateRouteSweptTwistBuilder Routing::RouteManager::CreateRouteSweptTwistBuilder @endlink <br>
Created in NX6.0.0.
void NXOpen::Routing::RouteSweptTwistBuilder::AskExistingTwistData | ( | std::vector< double > & | locations, |
std::vector< double > & | angles | ||
) |
The twist data i.e locations and angles
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
locations | Number of locations |
angles | Number of angles |
void NXOpen::Routing::RouteSweptTwistBuilder::CreateSpine | ( | ) |
Creates a new spine
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::GeometricUtilities::OnPathDimWithValueBuilder* NXOpen::Routing::RouteSweptTwistBuilder::CreateSpinePoint | ( | ) |
Creates a new spine point.
void NXOpen::Routing::RouteSweptTwistBuilder::SetTwistPoint | ( | NXOpen::Point * | twistPoint | ) |
Sets the twist point
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
twistPoint | twistpoint |
NXOpen::Curve* NXOpen::Routing::RouteSweptTwistBuilder::Spine | ( | ) |
Returns the spine
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::SelectNXObject* NXOpen::Routing::RouteSweptTwistBuilder::Stock | ( | ) |
Returns the stock
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::Point* NXOpen::Routing::RouteSweptTwistBuilder::TwistPoint | ( | ) |
Returns the twist point
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")
NXOpen::TaggedObjectList* NXOpen::Routing::RouteSweptTwistBuilder::TwistPointList | ( | ) |
Returns the twist point list
Created in NX6.0.0.
License requirements : routing_harness ("Routing Harness")